Loading...
Searching...
No Matches
rostlab::blast::parser::syntax_error Struct Reference

Syntax errors thrown from user actions. More...

`#include <blast-parser-parser.h>`

Inheritance diagram for rostlab::blast::parser::syntax_error:
[legend]
Collaboration diagram for rostlab::blast::parser::syntax_error:
[legend]

## Public Member Functions

| syntax_error (const location_type &l, const std::string &m)
| syntax_error (const syntax_error &s)
| ~syntax_error () YY_NOEXCEPT YY_NOTHROW

## Public Attributes

location_type | location

## Detailed Description

Syntax errors thrown from user actions.

Definition at line 225 of file blast-parser-parser.h.

## Constructor & Destructor Documentation

## syntax_error() [1/2]

rostlab::blast::parser::syntax_error::syntax_error | ( | const location_type & | l,
|  | const std::string & | m )

inline

Definition at line 227 of file blast-parser-parser.h.

## syntax_error() [2/2]

rostlab::blast::parser::syntax_error::syntax_error | ( | const syntax_error & | s | ) |

inline

Definition at line 232 of file blast-parser-parser.h.

## ~syntax_error()

rostlab::blast::parser::syntax_error::~syntax_error | ( |  | ) |

## Member Data Documentation

## location

location_type rostlab::blast::parser::syntax_error::location

Definition at line 239 of file blast-parser-parser.h.

The documentation for this struct was generated from the following file:

- rostlab/blast-parser-parser.h